package com.oscar.base.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "config.sys")
public class ConfigSysProperties {
    private int sessionTimeout;

    private String salt;
    private String uploadPath;
    private String packageModuleName;
    private String projectRootDir;
    private String rootPath = System.getProperty("user.dir");

}
