package com.oscar.gen;

public class PageStyle {
    public String background;//背景色
    public String color;//文字主颜色
    public String border; //border颜色

    public String btnBackground;//button 背景色
    public String btnText; //button 文本颜色

    public PageStyle (String css){ //background:#14a0b1db;color:#ffffff;
        final String[] split = css.split(";");
        for (String s : split) {
            String[] pair = s.split(":");
            if("background".equals(pair[0])) this.background = pair[1];
            if("color".equals(pair[0])) this.color = pair[1];
            if("border".equals(pair[0])) this.border = pair[1];

            if("btnBackground".equals(pair[0])) this.btnBackground = pair[1];
            if("btnText".equals(pair[0])) this.btnText = pair[1];
        }

        if(this.btnText == null){
            this.btnText = this.color;
        }
        if(this.btnBackground == null){
            this.btnBackground = this.background;
        }
    }

    public String getBackground () {
        return background;
    }

    public void setBackground (String background) {
        this.background = background;
    }

    public String getColor () {
        return color;
    }

    public void setColor (String color) {
        this.color = color;
    }

    public String getBorder () {
        return border;
    }

    public void setBorder (String border) {
        this.border = border;
    }

    public String getBtnBackground () {
        return btnBackground;
    }

    public void setBtnBackground (String btnBackground) {
        this.btnBackground = btnBackground;
    }

    public String getBtnText () {
        return btnText;
    }

    public void setBtnText (String btnText) {
        this.btnText = btnText;
    }
}
