package com.oscar.module.leave;

import com.github.pagehelper.PageInfo;
import com.oscar.base.AbstractController;
import com.oscar.base.enums.CssStyleTypeEnum;
import com.oscar.base.vo.ResultVO;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/tb/leave")
public class TbLeaveController extends AbstractController<TbLeaveService, TbLeave> {

    @GetMapping("advance/page")
    public PageInfo<TbLeave> advancePageList (HttpServletRequest request, TbLeave tbLeave) {
        PageInfo<TbLeave> pageInfo = service.pageList(request, tbLeave);

        for (TbLeave x : pageInfo.getList()) {
            if("未审核".equals(x.getState())){
                x.setType(CssStyleTypeEnum.warning.getText());
            }else if("审核通过".equals(x.getState())){
                x.setDisabled(true);
                x.setType(CssStyleTypeEnum.success.getText());
            }else if("驳回".equals(x.getState())){
                x.setDisabled(true);
                x.setType(CssStyleTypeEnum.danger.getText());
            }
        }
        return pageInfo;
    }

}
