package com.oscar.module.mall.order;

import com.oscar.base.AbstractEntity;
import com.oscar.sys.user.SysUser;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Entity
@Data
public class TbOrder extends AbstractEntity<TbOrder> {
    String no;
    String productId;
    String productName;
    Integer num;
    String orderType;
    String orderTypeLabel;
    String orderStatus;
    String orderStatusLabel;
    String payStatus;
    String payStatusLabel;
    String payType;
    Double price;
    Double payFee;
    Double postage;
    Double coupons;
    Integer extendUserId;
    String shopNote;
    String coverImg;

    Integer userId;
    @Transient
    SysUser sysUser;
    String personName;//收货人姓名
    String address;//收货人地址
    String mobile; //收货人电话
    public void setSysUser(SysUser sysUser){
        this.sysUser = sysUser;
    }
}
