package com.oscar.module.mall.product;

import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Entity;

@Entity
@Data
public class TbProduct extends AbstractEntity<TbProduct> {
    String productId;
    Integer categoryId;
    String categoryName;
    String keyword;
    String unit;
    Double price;
    Double marketPrice;
    Double costPrice;
    Double postage;
    Integer credits;
    Integer saleNum;
    Integer virtualSaleNum;
    Integer stock;
    boolean hot;
    boolean promotion;
    boolean recommed;
    boolean seckill;
    boolean bargain;
    boolean groupBuy;
    Integer rank;
    Integer pv = 0;
    Integer uv = 0;
    Integer favorite = 0;
    Integer praise = 0;
    String status;
    String statusName;
    String coverImg;
    String bannerImg = "";
    String filter;//查询条件
}
