package com.oscar.module.mall.shoppingcart;

import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.math.BigDecimal;

@Entity
@Data
public class TbShoppingCart extends AbstractEntity<TbShoppingCart> {
    Integer productId;
    Integer num;
    String productName;
    String keyword;
    BigDecimal price;
    Integer postage;
    Integer stock;
    String coverImg;

    @Transient
    boolean check = true; //购物车中商品是否勾选
}
