package com.oscar.module.sign;

import com.github.pagehelper.PageInfo;
import com.oscar.base.AbstractController;
import com.oscar.base.enums.CssStyleTypeEnum;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

//每日打卡
@RestController
@RequestMapping("/tb/clock/in")
public class TbClockInController extends AbstractController<TbClockInService, TbClockIn> {

    @GetMapping("advance/page")
    public PageInfo<TbClockIn> advancePageList (HttpServletRequest request, TbClockIn tbClockIn) {
        PageInfo<TbClockIn> pageInfo = service.pageList(request, tbClockIn);

        for (TbClockIn x : pageInfo.getList()) {
            if("未审核".equals(x.getState())){
                x.setType(CssStyleTypeEnum.warning.getText());
            }else if("审核通过".equals(x.getState())){
                x.setDisabled(true);
                x.setType(CssStyleTypeEnum.success.getText());
            }else if("驳回".equals(x.getState())){
                x.setDisabled(true);
                x.setType(CssStyleTypeEnum.danger.getText());
            }
        }
        return pageInfo;
    }

}
