package com.oscar.sys.menu;

import com.oscar.base.AbstractEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.List;

@Entity
@Data
@EqualsAndHashCode(callSuper = false)
public class SysMenu extends AbstractEntity<SysMenu> {
    Integer parentId;
    @Transient
    Integer userId;
    @Transient
    String type;
    String name;
    Integer sort;
    String href;
    String component;
    String target;
    String icon;
    String enabled = "on";

    @SuppressWarnings("all") @Column(name = "[index]")
    String index;
}
