package com.oscar.sys.role;

import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Entity
@Data
public class SysRole extends AbstractEntity<SysRole> {
    String name;
    String code;
    String enabled;
    String menuIdsStr;

    @Transient
    List<Integer> menuIds = new ArrayList<>();
}
