package com.oscar.sys.role;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.oscar.base.AbstractService;
import com.oscar.sys.menu.SysMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Service
public class SysRoleService extends AbstractService<SysRoleMapper, SysRole> {
    @Autowired
    SysMenuService sysMenuService;

    public PageInfo<SysRole> findRoleMenuList (HttpServletRequest request, SysRole entity) {
        Integer pageNum = Integer.parseInt(request.getParameter("pageNum"));
        Integer pageSize = Integer.parseInt(request.getParameter("pageSize"));
        PageHelper.startPage(pageNum, pageSize);
        List<SysRole> list = dao.findRoleMenuList(entity);
        list.forEach(data->{
            if(data.getMenuIdsStr() != null){
                String[] split = data.getMenuIdsStr().split(",");
                for(String menu : split){
                    Integer menuId = Integer.parseInt(menu);
                    data.getMenuIds().add(menuId);
                }
            }
        });
        return new PageInfo<SysRole>(list);
    }
}
