package com.oscar.sys.user;

import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Entity
@Data
public class SysUser extends AbstractEntity<SysUser> {
    Integer orgId;
    String orgName;
    String username;
    String cnName;
    String password;
    String newPassword; //新密码
    String sex;
    Integer age;
    String mobile;//手机号
    String email;
    String phone;
    String major; //专业
    String headPhoto = "sys/ic_default.png"; //默认
    Date loginTime;
    String cardNo; //学号
    String qq;
    String wechat;
    String address;
    String smsCode; //短信验证码

    String openid;
    String country; //微信端

    String ext1;
    String ext2;

    String roleIdsStr;

    @Transient
    List<Integer> roleIds = new ArrayList<>();
    Integer roleId;
    String roleName;   //展示角色名称

    String source;

}
