package com.oscar.sys.user;

import com.oscar.base.AbstractMapper;
import com.oscar.sys.menu.SysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Component;

import java.util.List;


public interface SysUserMapper extends AbstractMapper<SysUser> {
    default List<SysUser> findUserRoleList(SysUser entity){
        return selectList("com.oscar.sys.user.SysUserMapper.findUserRoleList", entity);
    }

    //自定义
    @Query(value = "select * from sys_user where org_id in (:orgIds)", nativeQuery = true)
    List<SysUser> findSysUsersByRoleId(@Param(value="orgIds") List<Integer> orgIds);
}
