package ${packageName};

import com.oscar.base.AbstractController;
import com.oscar.base.vo.ResultVO;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@RestController
@RequestMapping("${requestUri}")
public class ${className}Controller extends AbstractController{
    @Autowired
    ${className}Service ${entityVar}Service;

    @GetMapping("entity")
    public ResultVO entity (${className} ${entityVar}) {
        return success(${entityVar}Service.get(${entityVar}));
    }

    @GetMapping("page")
    public PageInfo<${className}> pageList (HttpServletRequest request, ${className} ${entityVar}) {
        return ${entityVar}Service.pageList(request, ${entityVar});
    }

    @GetMapping("advance/page")
    public PageInfo<${className}> advancePageList (HttpServletRequest request, ${className} ${entityVar}) {
        return ${entityVar}Service.advancePageList(request, ${entityVar});
    }

    @GetMapping("list")
    public ResultVO findList (${className} ${entityVar}) {
        return success(${entityVar}Service.findList(${entityVar}));
    }

    @PostMapping
    public ResultVO save (@RequestBody ${className} ${entityVar}) {
        ${entityVar}Service.save(${entityVar});
        return success();
    }

    @DeleteMapping
    public ResultVO delete (@RequestBody ${className} ${entityVar}) {
        if(${entityVar}.getId() != null && ${entityVar}.getIds().isEmpty()){ //小程序只传id了目前
            ${entityVar}Service.delete(${entityVar});
        }else{
            ${entityVar}Service.batchDelete(${entityVar}.getIds());
        }
        return success();
    }

    @PostMapping("approve")
    public ResultVO approve (@RequestBody ${className} ${entityVar}) {
        ${entityVar}Service.save(${entityVar});
        return success();
    }

}