<#if wechat.listType == 3>
.black {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: scroll;
  background-color: #f0f0f0;
}

.container {
  width: 95%;
  height: 800rpx;
  overflow-y: hidden;
  margin: 50rpx auto;
  overflow-x: hidden;
  background-color: white;
}

.scroll-image {
  width: 100%;
}

.content {
  background-color: #fff;
  height: 380rpx;
  width: 100%;
  text-align: center;
}

.title {
  height: 100rpx;
  line-height: 100rpx;
  font-size: 50rpx;
  color: #000;
}

.scroll-view-item-AT {
  width: 100%;
  font-size: 36rpx;
  color: #c9c;
}

.area {
  display: inline-block;
}

.day {
  margin-left: 10rpx;
  display: inline-block;
}

.fee {
  width: 100%;
  height: 100rpx;
  line-height: 100rpx;
}

.scroll-view-item-cf {
  width: 100%;
  height: 150rpx;
  position: relative;
}

.scroll-view-item-cf::before {
  content: '';
  position: absolute;
  top: 0;
  left: 10rpx;
  right: 10rpx;
  height: 1rpx;
  background-color: #e0e0e0;
}

.camerist_avatar {
  margin-top: 20rpx;
  margin-left: 20rpx;
  float: left;
  width: 100rpx;
  height: 100rpx;
}

.camerist_avatar image {
  width: 100rpx;
  height: 100rpx;
  border-radius: 50%;
  vertical-align: middle;
}

.camerist {
  margin-top: 20rpx;
  float: left;
  width: 200rpx;
  height: 150rpx;
  line-height: 150rpx;
  vertical-align: middle;
  margin-left: 20rpx;
}

.camerist_name {
  font-size: 40rpx;
  height: 70rpx;
  line-height: 70rpx;
  text-align: left;
  color: #7b7b7b;
}

.experience {
  padding-left: 10rpx;
  padding-right: 10rpx;
  font-size: 30rpx;
  float: left;
  height: 40rpx;
  line-height: 40rpx;
  border: 1px solid #e0e0e0;
  color: #7b7b7b;
}

.reserve {
  float: right;
  margin-top: 40rpx;
  margin-right: 20rpx;
  font-size: 40rpx;
  width: 250rpx;
  height: 80rpx;
  line-height: 80rpx;
  border-radius: 10rpx;
  background-color: #ff9797;
  color: white;
}
<#else >
page{
  padding-bottom: 30rpx;
}

.slide-image{
   width: 100%;
}
swiper-item{
  border-radius: 6rpx;
}
.search{
  margin-top: 15rpx;
}
.search label{
  position: relative;
}
.search icon{
  position: absolute;
  z-index: 99;
  left: 20rpx;
  top:20rpx;
  font-size: 30rpx;
}
.search input{
  height: 90rpx;
  line-height: 90rpx;
  border-radius: 6rpx;
  background: #f8f8f8;
  color: #888;
  font-size: 32rpx;
  padding-left: 90rpx;
}


.recommend .panel-body{
  display: flex;
  /* justify-content:space-around; */
  justify-content: space-between;
}
 .panel-body navigator{
  width: 30%;
}
.panel-body navigator image{
  margin: 0 auto;
  display: block;
  width: 100%;
  border-radius: 6rpx;
}
.recommend .title{
  font-size: 28rpx;
  color: #666;
  text-align: left;
  line-height: 160%;
  margin-top: 15rpx;
}

.info-list .row{
  display: flex;
  flex-direction: row;
  margin-bottom: 40rpx;
  border-bottom: 1px solid #efefef;
  padding-bottom: 40rpx;
}
.info-list .row:last-of-type{
  border-bottom: 0px;
  padding-bottom: 0rpx;
  margin-bottom: 0rpx;
}
.info-list .row navigator{
  width: 100%
}
.info-list .row .row-left{
  width: 25%;
}

.info-list .row .row-right{
  width: 75%;
  box-sizing: border-box;
  padding-left: 32rpx;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.info-list .row .info{
  margin: 10rpx 0rpx 10rpx;
}
.info-list .info image{
  width: 24rpx; height: 24rpx; position: relative; top:4rpx;
}
.info-list .desc{
  text-indent: 2em;
}
.info-list .info{
  display: flex; flex-direction: row; font-size: 24rpx; color: #b2b2b2;
}
.info-list .info view{
  flex: 1;
}

.info-list{margin-top: 10rpx;}

.cover{
  height: 100px !important;
}

/* listType = 2 */
.op-btn{
  border:solid 1px rgb(52, 199, 101);
  color:rgb(52, 199, 101);
  padding: 2px 5px;
  font-size: 12px;
}
.recycle image {
  width: 30rpx;
  height: 30rpx;
  float: right;
  margin-top: 30rpx;
}

.col-11 navigator {
  color: #353535;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.row {
  border-bottom: 1rpx solid #efefef;
  line-height: 300%;
}
</#if>
