var app = getApp()
Page({
  data: {
    favoriteIcon:'ic_favorite.png',
  },

  onLoad: function (options) {
    let detail = JSON.parse(options.query)
    let favoriteIcon = app.util.isFavorite({
      id: detail.id,
      module: '${wechat.title}'
    })
    this.setData({
      detail,
      favoriteIcon,
      server: app.conf.server + "/"
    })
  },


  loadReplyList(){
<#if wechat.comment == true>
    var that = this
    app.httpclient.query('/tb/cms/reply/list', { cmsId: this.data.detail.id, source:'tb_article'}, res => {
      let replyList = res.map(x=>{
        if (x.headPhoto.indexOf("http") != 0) {
          x.headPhoto = that.data.server + x.headPhoto
        }
        return x
      })
      that.setData({
        replyList
      })
    })
</#if>
  },
  //收藏
  bindFavorite(){
    let favoriteIcon = app.util.favorite({
      id:this.data.detail.id,
      module:'${wechat.title}',
      name:this.data.detail.name
    })
    this.setData({
      favoriteIcon,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.loadReplyList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})