<#if wechat.listType == 3>
<view class="container">
    <image src="{{server+detail.imgUrl}}"></image>
    <view class="content">
        <view class="title-50rpx">{{detail.name}}</view>
        <view>{{detail.remarks}}</view>
    </view>
</view>
<#else >

<view class='info'>
    <text class='font-lv1 bold'>{{detail.name}}</text>
    <view class='gray font-lv4'>
        {{detail.source}} | {{detail.createTimeStr}}
    </view>
    <view class='progress mgt-30rpx'>
        <!-- <view class='font-lv3 color-grey'>阅读进度<view class='pull-right'>20%</view></view> -->
    </view>
</view>

<view class='data'>
    <view class='row'>
        <view class='col'>
            <text class='font-lv3'>212</text>
            <text class='text-muted font-lv5'>章节</text>
        </view>
        <view class='col'>
            <text class='font-lv3'>212</text>
            <text class='text-muted font-lv5'>阅读</text>
        </view>
        <view class='col'>
            <text class='font-lv3'>212</text>
            <text class='text-muted font-lv5'>收藏</text>
        </view>
    </view>
</view>

<!-- 详情 -->
<view class='intro font-lv3'>
    {{detail.remarks}}
</view>

<!-- 图片 -->
<view class="center">
    <image wx:if="{{server}}" mode='widthFix' class='cover box-shadow' src='{{server+detail.imgUrl}}'></image>
</view>

<!--<navigator url='' class='menu row'>
    <view class='col font-lv3'>查看详情</view>
    <view class='col font-lv4 color-grey text-right'>最后更新于：1小时前</view>
</navigator>-->

    <#if wechat.comment == true>
<view class='panel comments'>
    <view class='panel-heading base-padding'>
        <view class='panel-title pdt-30rpx strong font-lv2'>网友评论</view>
    </view>

    <view class='panel-body base-padding'>

        <view class='row comment-list' wx:for="{{replyList}}" wx:key="{{item.id}}">
            <view class='col-1 comment-left'>
                <image style="width:28px;height:28px;" class='img-responsive radius-circle border-basic' mode='widthFix' src='{{item.headPhoto}}'></image>
            </view>
            <view class='col-11 comment-right'>
                <view class='row comment-info font-lv4 color-semi'>
                    {{item.cnName}}
                </view>
                <view class='row comment-content color-grey font-lv3 mgt-15rpx'>
                    {{item.remarks}}
                </view>
                <view class='row comment-info'>
                    <!-- <view class='col'>
                        <rating num="3" star-class="rating-star" />
                    </view> -->
                    <view class='col'>
                        <view class='pull-right font-lv4 color-grey'>{{item.elapsedTime}}</view>
                    </view>
                </view>
            </view>
        </view>

    </view>
</view>

<view class='pagination pd-30rpx'>
    <view class='text-center font-lv3 color-grey'> - 已经到底了 - </view>
</view>

<view class='fix-bottom'>
    <view class='row'>
        <navigator url='/pages/comment/comment?cmsId={{detail.id}}&source=${wechat.fileName}' class='col item-min'>
            <image src='/assets/images/sys/ic_comment.png'></image>
            <text>评论</text>
        </navigator>
        <view class='col item-min' bindtap='bindFavorite'>
            <image src='/assets/images/sys/{{favoriteIcon}}'></image>
            <text>收藏</text>
        </view>
    </view>
</view>
    </#if>
</#if>