package com.oscar.module.test.kafka.stream;

import org.apache.kafka.streams.processor.Processor;
import org.apache.kafka.streams.processor.ProcessorContext;
import org.apache.kafka.streams.processor.ProcessorSupplier;

public class PrintProcessor implements ProcessorSupplier<String, String> {
    @Override
    public Processor<String, String> get () {
        return new Processor<String, String>() {
            private ProcessorContext context;

            @Override
            public void init (ProcessorContext context) {
                this.context = context;
            }

            @Override
            public void process (String key, String value) {
                String line = "PrintProcessor的工作就是打印,单词为" + key + "，出现次数为" + value;
                System.out.println(line);
                context.forward(key, line);
            }

            @Override
            public void close () {

            }
        };
    }

}
