package com.oscar.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WeekEnum {
    SUNDAY("星期日", "Sun", 1),
    MONDAY("星期一", "Mon", 2),
    TUESDAY("星期二", "Tue", 3),
    WEDNESDAY("星期三", "Wed", 4),
    THURSDAY("星期四", "Thu", 5),
    FRIDAY("星期五", "Fri", 6),
    SATURDAY("星期六", "Sat", 7);

    private String chineseName;
    private String englishName;
    private int index;

    public static WeekEnum get (int index) {
        for (WeekEnum w : WeekEnum.values()) {
            if (w.getIndex() == index) {
                return w;
            }
        }
        return null;
    }
    public static void main (String[] args) {
        System.out.println(WeekEnum.get(3).getChineseName());
        System.out.println(WeekEnum.get(3).getEnglishName());
    }
}
