package com.oscar.module.leave;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.Date;

@Entity
@Data
public class TbLeave extends AbstractEntity<TbLeave> {


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    Date leaveTime;

    String type;
    boolean disabled = false;
    String state;
    @Transient
    String month;
}
