package com.oscar.module.mall.product;

import com.oscar.base.AbstractService;
import org.springframework.stereotype.Service;

@Service
public class TbProductService extends AbstractService<TbProductMapper, TbProduct> {
    public void changeStatus (TbProduct tbProduct) {
        dao.findById(tbProduct.getId()).ifPresent(x -> {
            x.setStatus(tbProduct.getStatus());
            save(x);
        });
    }

    /**
     * 库存减1
     */
    public void sellOne (TbProduct tbProduct) {
        get(tbProduct).ifPresent(x -> {
            x.setStock(x.getStock() - tbProduct.getStock());
            save(x);
        });
    }
}
