package com.oscar.module.mall.shoppingcart;

import com.oscar.base.AbstractController;
import com.oscar.base.vo.ResultVO;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/tb/shopping/cart")
public class TbShoppingCartController extends AbstractController<TbShoppingCartService, TbShoppingCart> {

    @Override
    public ResultVO save (TbShoppingCart tbShoppingCart) {
        TbShoppingCart entity = service.get(tbShoppingCart).orElse(null);
        ResultVO resultVO = new ResultVO();

        //新加入购物车成功
        if (entity == null) {
            service.save(tbShoppingCart);
            resultVO.setCode(200);
            return resultVO.set(tbShoppingCart);
        }

        //商品已经在购物车，数量+1
        entity.setNum(entity.getNum() + 1);
        service.save(entity);
        resultVO.setCode(201);
        return resultVO;
    }

}
