package com.oscar.sys.desc;

import com.oscar.base.AbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
@Data
public class SysDesc extends AbstractEntity<SysDesc> {
    String type = "system";
    String link;

    String author;
    String school;

    String packageName;
    String projectPath;
    String moduleName; // 如mall

    @SuppressWarnings("all") @Column(name = "[version]")
    String version;

    @SuppressWarnings("all") @Column(name = "[schema]")
    String schema;
}
