<template>
  <div style="padding-top:35%;">
    <grid>
<#if vux.menu1?? && vux.menu1 != "">
      <grid-item label="${vux.menu1}" link="/m/tb_oscar_info_list">
        <img slot="icon" src="../../assets/menu/1.png">
      </grid-item>
</#if>
<#if vux.menu2?? && vux.menu2 != "">
      <grid-item label="${vux.menu2}" link="/m/tb_oscar_info_list">
        <img slot="icon" src="../../assets/menu/2.png">
      </grid-item>
</#if>
    </grid>

    <grid>
<#if vux.menu3?? && vux.menu3 != "">
      <grid-item label="${vux.menu3}" link="/m/tb_oscar_info_list">
        <img slot="icon" src="../../assets/menu/3.png">
      </grid-item>
</#if>
<#if vux.menu4?? && vux.menu4 != "">
        <grid-item label="${vux.menu4}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/4.png">
        </grid-item>
</#if>
    </grid>

    <grid>
<#if vux.menu5?? && vux.menu5 != "">
        <grid-item label="${vux.menu5}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/5.png">
        </grid-item>
</#if>
<#if vux.menu6?? && vux.menu6 != "">
        <grid-item label="${vux.menu6}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/6.png">
        </grid-item>
</#if>
    </grid>

    <grid>
<#if vux.menu7?? && vux.menu7 != "">
        <grid-item label="${vux.menu7}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/7.png">
        </grid-item>
</#if>
<#if vux.menu8?? && vux.menu8 != "">
        <grid-item label="${vux.menu8}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/8.png">
        </grid-item>
</#if>
    </grid>

    <grid>
<#if vux.menu9?? && vux.menu9 != "">
        <grid-item label="${vux.menu9}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/9.png">
        </grid-item>
</#if>
<#if vux.menu10?? && vux.menu10 != "">
        <grid-item label="${vux.menu10}" link="/m/tb_oscar_info_list">
            <img slot="icon" src="../../assets/menu/10.png">
        </grid-item>
</#if>
    </grid>
  </div>
</template>

<script>
  import {Grid, GridItem} from 'vux'
  import {save, getList} from '@/api'

  export default {
    components: {
      Grid, GridItem
    },
    data() {
      return {
        tip: {
          show: false,
          text: ''
        },
      }
    },
    created() {
      this.webAuth()
    },
    methods: {
      webAuth() {

      }
    },
    beforeRouteEnter(to, from, next) {
      window.document.body.style.backgroundColor = '${pageStyle.background}'
      next()
    },
    beforeRouteLeave(to, from, next) {
      let body = window.document.body
      body.style.backgroundColor = ''
      next()
    },
  }
</script>

<style>
  .weui-grid__icon {
    width: 64px !important;
    height: 64px !important;
  }
  .weui-grid__label{
    color:#fff !important;
    font-size:24px !important;
  }
  .weui-grid{
    border:solid 1px ${pageStyle.border} !important;
  }
</style>
