.rating-star{
  margin-left:0px !important;
}

page{
  padding-bottom: 120rpx;
}
.container{
 width: 95%;
 overflow-y:hidden;
 margin: 50rpx auto;
 overflow-x: hidden;
 padding-bottom: 40rpx;
 border: 1rpx solid #E0E0E0;
}

.content{
  background-color: #fff;
  width: 100%;
  text-align: center;
}
.title-50rpx{
  height: 100rpx;
  line-height: 100rpx;
  font-size: 50rpx;
  color: #000;
  margin-bottom: 15rpx;
}

.cate-row .font-lv3{display: inline-block;margin-right: 30rpx;}

.info{padding: 20px; text-align: center;}

.info .col-8{padding-left: 30rpx;box-sizing:border-box;}
.info .col-8 .text-muted{display: block;line-height: 180%;}

.data{margin-bottom: 30rpx;padding: 0rpx 30rpx;}
.data>view{border-bottom: 1px solid #efefef;padding-bottom: 30rpx;}
.data .col{text-align: center;font-size: 28rpx;}
.data .col:nth-of-type(2n){border-left: 1px solid #f1f1f1;border-right: 1px solid #f1f1f1;}
 .data .col .text-muted{text-align: center;display: block;}

.btns{
  padding: 0rpx 15rpx 30rpx;
  border-bottom: 10rpx solid #efefef;
}
.btns .col{
  justify-content: space-between;
  padding: 0rpx 15rpx;
  box-sizing: border-box;
}
.btns .col view{
  background-color: #efefef;
  text-align: center;
  margin:0px auto;
  padding: 8rpx 0rpx;
  border-radius: 10rpx;
}

/*  书籍介绍  */
 .intro{border-bottom: 1px solid #efefef;padding:30rpx;padding-top:0rpx;line-height: 180%;}

/*  目录入口  */
.menu{
  padding: 30rpx;font-size: 28rpx;
  border-bottom: 10rpx solid #efefef;
}

.user image{
  width: 36rpx;height: 36rpx;display: inline-block;
  margin-right: 10rpx;
}
.user image.clock{
  margin-left: 30rpx;
  width: 26rpx;
  height: 26rpx;
  position: relative;
  top:-5rpx;
}

.user .text-muted{display: inline-block;position: relative;top:-7rpx;margin-left: 6rpx;}

/* fix bottom  */
.fix-bottom{
  position: fixed;
  bottom: 0px;
  width: 100%;
  text-align: center;
  background-color: #fff;
  box-shadow: 0rpx 0rpx 10rpx #ddd;
  height: 90rpx;
}

.fix-bottom .read{
  position: relative;
  top:-30rpx;
  background-color: #1aad19;
  color: #fff;
  padding-top: 10rpx;
  box-sizing: border-box;
  height: 110rpx;
  width: 110rpx;
  margin: 0px auto;
  border-radius: 50%;
  z-index: 10;
}

.fix-bottom image{
  height: 50rpx;
  width: 50rpx;
  vertical-align: middle;
}
.fix-bottom text{display: block;font-size: 24rpx;}
.item-min{font-size: 26rpx;color: #999;line-height: 100%;padding-top:10rpx;}
.item-min image{width: 40rpx;height: 40rpx;margin-bottom: 4rpx;}
.comments .panel-heading{border-bottom: 1px solid #efefef;padding-bottom: 30rpx;}
.comment-info{line-height: 150%;}
.comment-info .score{margin-top: 6rpx;}
.comment-info .pull-right{margin-top:5rpx;}
.comment-right{padding-left: 15rpx;}
.comment-list{border-bottom: 1rpx solid #efefef;padding-bottom: 30rpx;margin-bottom: 40rpx;}
