var app = getApp()

Page({
  mixins: [require('../../mixin/themeChanged')],
  data: {
    _success_message_: '提交成功',
    _back_: true,
    files: [],
    resultDialog: false,
<#list columns as c>
  <#if c.dict == true>
    ${c.field}: "",
    ${c.field}Index: 0,
    ${c.field}Array: [],
  <#else>
    ${c.field}: "",
  </#if>
</#list>
  },

  bindSubmit: function () {
    let data = this.data
    data.userId = this.data.userInfo.id
<#list columns as c>
    <#if c.dict == true>
    data.${c.field} = this.data.${c.field}Array[this.data.${c.field}Index]
    </#if>
</#list>
    app.httpclient.post('${wechat.controllerPath}',data)
  },


<#list columns as c>
<#if c.dict == true>
  load${c.capField}: function(options) {
    app.httpclient.request("/sys/dict/list?type=${c.columnName}", array=>{
      app.that.setData({
        ${c.field}Array:[{label:'请选择'}, ...array]
      })
    })
  },
<#elseif c.rating == true>
  bindRatingChange: function (e) {
    this.setData({
      ${c.field}: e.detail
    })
  },
<#elseif c.field == "imgUrl">
  chooseImage: function (e) {
    app.httpclient.upload(imgUrl=>{
      app.that.setData({
        imgUrl
      })
    })
  },
  previewImage: function(e){
    wx.previewImage({
        current: e.currentTarget.id, // 当前显示图片的http链接
        urls: this.data.files // 需要预览的图片http链接列表
    })
  },
</#if>
</#list>

  onLoad: function(options) {
    app.that = this
    let detail = {}
    if(options.query) detail = JSON.parse(options.query)
    this.setData({
      detail,
      userInfo: app.globalData.userInfo
    })

    <#list columns as c>
    <#if c.dict == true>
    this.load${c.capField}()
    </#if>
    </#list>
  },

  close: function () {
    this.setData({
      resultDialog: false,
    })
  },
  bindInput: function (e) {
    let item = e.currentTarget.dataset.item, value = e.detail.value
    switch (item) {
      <#list columns as c>
      <#if c.dict == true>
      case '${c.field}Index':
        this.setData({
          ${c.field}Index: value,
        })
        break
      <#elseif c.field != "id">
      case '${c.field}':
        this.setData({
          '${c.field}': value
        })
        break
      </#if>
      </#list>
      default:
        break
    }
  }
});