package com.oscar.module.crawl.exam;

import cn.hutool.core.codec.Base64;
import cn.hutool.core.util.CharsetUtil;
import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.symmetric.AES;
import cn.hutool.crypto.symmetric.SymmetricAlgorithm;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Desc :
 */
public class AutoSubmitExamAnswer {
    private static final String baseUrl = "http://online.xartvu.sn.cn/index.php";
    private String cookie = "";

    //每个exam的答案
    private static Map<String, Answer> cache = new HashMap<>();

    public static void main(String[] args){
        final AutoSubmitExamAnswer auto = new AutoSubmitExamAnswer();
//        auto.login("1961101462198","19890318");
        auto.passwordAESEncrpy("19910102");
    }


    public static void start(){
        final AutoSubmitExamAnswer auto = new AutoSubmitExamAnswer();

        final List<Account> accounts = auto.readAccount();


        for (Account account : accounts) {
            auto.login(account.getAccount(), account.getPassword());

            List<Course> courseList = auto.getCourseList();
            final String courseId = auto.filterCourseId(courseList, account.getCourseName());

            final List<Exam> examList = auto.getExamList(courseId);
            for (Exam exam : examList) {
                final Answer answer = auto.getAnswer(exam.getExamId());
                auto.submit(answer);
            }
        }
    }

    private String filterCourseId(List<Course> list, String courseName){
        for (Course course : list) {
            if(courseName.equals(course.getCourseName())){
                return course.getCourseId();
            }
        }
        return null;
    }

    /**
     * excel获取登录账号
     * @return
     */
    public List<Account> readAccount(){
        return null;
    }

    /**
     * 获取cookie
     */
    public void login(String accountNo,String password){
        password = passwordAESEncrpy(password);
        HashMap<String, Object> param = new HashMap<>();
        param.put("_c", "base.login.user_login");
        param.put("juser[account]", accountNo);
        param.put("juser[password]", password);
        String json = HttpUtil.post(baseUrl, param);
        System.out.println(json);
    }

    /**
     * 获取所有课程
     */
    public List<Course> getCourseList(){
        String _c = "stu.kccs.recent_zc_course";
        return null;
    }

    public List<Exam> getExamList(String courseId){
        String _c = "study.xk_stu.get_list";
        return null;
    }
    /**
     * 加密密码
     * 加密模式：CBC
     填充:zeropadding
     数据块：128位
     密码 nju5gIz73NB8nQ7e9rjjhIAt4umcbMGM
     iv偏移量：gdz41poqbiG9ktRliNxACwlUcTAvwM
     输出base64
     字符集utf8
     */
    public String passwordAESEncrpy(String password){
        String content = "19910102";

        AES aes = new AES(Mode.CBC, Padding.ZeroPadding, "nju5gIz73NB8nQ7e9rjjhIAt4umcbMGM".getBytes(), "gdz41poqbiG9ktRliNxACwlUcTAvwM".getBytes());
        // 加密
        byte[] encrypt = aes.encrypt(content);
        final String encode = Base64.encode(encrypt);
        System.out.println(encode);

        return null;
    }

    /**
     * 获取每个exam的答案
     */
    public Answer getAnswer(String examId){
        Answer answer = cache.get(examId);
        if(answer == null){


            cache.put(examId, answer);
        }
        return answer;
    }

    /**
     * 提交答案
     * @param answer
     */
    private void submit(Answer answer){

    }
}
