package com.oscar.module.test.kafka;

import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.stereotype.Component;

/**
 * https://spring.io/projects/spring-kafka
 *
 * @author wl
 * Date:    2019/2/1 9:41
 * @version 1.0
 */
@Component
public class KafkaConsume {

//    @KafkaListener(topics = {"topic_from_java"})
    public void onPoll (ConsumerRecord<?, ?> record) {
        System.out.printf("消费：topic = %s, offset = %d, value = %s, partition = %s\n",
                record.topic(), record.offset(), record.value(),record.partition());
        //需要挂载volume
//        FileUtils.append(record.value().toString()+"\n",new File("/home/wanglei/3rd/data/kafka/output/message.txt"));
    }

    //模板根据参数的类型决定传什么，如ConsumerRecord或者message string
    public void onPoll (String message) {
        System.out.println("消费：" + message);
    }
}
