function setup_pScope(pScope){
  pScope.output_mode(STATIC_DISK);
  // pScope.output_mode(ANIMATED_DISK);
  pScope.scale_for_screen(true);
  pScope.draw_layer_boundaries(true);
  pScope.draw_slits(false);
  pScope.set_direction(CCW);
  pScope.set_slice_count(12);
  pScope.load_image_sequence("girl","png",5)
  pScope.load_image("ribbon","png")
}

function setup_layers(pScope){
  //lets us draw the whole circle background, ignoring the boundaries
 
  var l = new PLayer(null, 205, 211, 83);
  l.set_boundary( 1000, 950);

  var l2 = new PLayer(null, 194, 186, 255);
  l2.set_boundary(950,0)

  var layer1 = new PLayer(heart);
  layer1.mode( SWIRL(5) );
  layer1.set_boundary( 1000, 400);

  var layer2 = new PLayer(girl);
  layer2.mode( SWIRL(1) );
  layer2.set_boundary( 0, 20 );

  var layer3 = new PLayer(ribbon);
  layer3.mode( RING );
  layer3.set_boundary( 0, 0);
}


function heart(x, y, animation, pScope){
  // translate(0, 0);
  scale(animation.frame*2);
  fill(animation.frame*255);

  fill(218, 93, 240);
  ellipse(0,20,10,10); //bottom of the heart
  ellipse(280,180,75,30);


  //heart
   fill(255, 166, 251)
   scale(0.7);
   beginShape();
   curveVertex(0, -110);
   curveVertex(-20, -130);
   curveVertex(-43, -130);
   curveVertex(-60, -120);
   curveVertex(-75, -100);
   curveVertex(-75, -80);
   curveVertex(-60, -60);
   curveVertex(-40, -40);
   curveVertex(-20, -20);

   curveVertex(0, 0);

   curveVertex(20, -20);
   curveVertex(40, -40);
   curveVertex(60, -60);
   curveVertex(75, -80);
   curveVertex(75, -100);
   curveVertex(60, -120);
   curveVertex(43, -130);
   curveVertex(20, -130);
  endShape(CLOSE);
}

function radarBackground(animation, pScope){
  pScope.fill_background(200, 0, 0, 50*animation.frame)

}

function girl(x, y, animation, pScope){
  translate(-50, -800);
  rotate(160,160);
  scale(0.43);
  pScope.draw_image_from_sequence("girl",x,y, animation.frame);
}

function ribbon(x, y, animation, pScope){
  //translate(-50, -800);
  //rotate(160,160);
  scale(0.5);
  pScope.draw_image("ribbon",x,y);
}
