CREATE USER 'Jonathan'@'%' IDENTIFIED BY 'donttellU';

CREATE DATABASE IF NOT EXISTS dbITE
DEFAULT CHARACTER SET utf8
DEFAULT COLLATE utf8_general_ci;

USE `dbITE`;

CREATE TABLE IF EXISTS `tblGuests` (
  `Sid` INT(11) NOT NULL AUTO_INCREMENT,
  `Name` VARCHAR(100) DEFAULT NULL,
  `Phone` INT(11) DEFAULT NULL,
  `Email` VARCHAR(100) DEFAULT NULL,
  `Course` VARCHAR(50) DEFAULT NULL,
  `College` VARCHAR(50) DEFAULT NULL,
  PRIMARY KEY (`Sid`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

INSERT INTO `tblGuests`(`Sid`,`Name`,`Phone`,`Email`,`Course`,`College`) VALUES (1,'Alan Aw',98765432,'Alan@ite.edu.sg','IT Applications Development','College East');
INSERT INTO `tblGuests`(`Sid`,`Name`,`Phone`,`Email`,`Course`,`College`) VALUES (2,'Bernard Boo',87654321,'Bernard@ite.edu.sg','Infocomm Technology','College Central');
INSERT INTO `tblGuests`(`Sid`,`Name`,`Phone`,`Email`,`Course`,`College`) VALUES (3,'Carlo Chua',76543210,'Carlo@ite.edu.sg','Web Applications','College West');
INSERT INTO `tblGuests`(`Sid`,`Name`,`Phone`,`Email`,`Course`,`College`) VALUES (4,'Darren Toh',89878987,'Darren@ite.edu.sg','Data Engineering','College West');

GRANT SELECT ON `dbITE`.* TO `Jonathan`@`%`;
GRANT INSERT ON `dbITE`.* TO `Jonathan`@`%`;
GRANT UPDATE ON `dbITE`.* TO `Jonathan`@`%`;
GRANT DELETE ON `dbITE`.* TO `Jonathan`@`%`;
FLUSH PRIVILEGES; 